<?php 

	if (Session::get("tipo_usuario") != "1"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_MODELS."Model.class.php");

		$link = filter_input(INPUT_POST, "link_slide_home_page", FILTER_SANITIZE_URL);
		$tipo = filter_input(INPUT_POST, "tipo_slide_home_page", FILTER_SANITIZE_STRING);
		$imagem_velha = filter_input(INPUT_POST, "imagem_velha", FILTER_SANITIZE_STRING);

		$id_slide_home_page = encrypt_decode(filter_input(INPUT_POST, "id_slide_home_page", FILTER_SANITIZE_STRING));

		$model = new Model();

		if (!empty($link) and !empty($tipo)) {
			if ($_FILES["imagem_slide_home_page"]["error"] == UPLOAD_ERR_OK) { 
				$imagem = upload_file($_FILES["imagem_slide_home_page"], "images/slide/", IMAGE_FILES);

				if (is_array($imagem) and !empty($imagem[0])) {
					$result = $model->update("slide_home_page", [
						"link_slide_home_page" => $link,
						"tipo_slide_home_page" => $tipo,
						"imagem_slide_home_page" => $imagem[0]
					], [
						"id_slide_home_page" => $id_slide_home_page
					]);

					if ($result > 0) {
						delete_file($imagem_velha);
					}
				}
				else{
					echo "<script>window.location.href='".show_link("/slides-home-page/?editar=false")."'</script>";
					exit();
				}
			}
			else{
				$result = $model->update("slide_home_page", [
					"link_slide_home_page" => $link,
					"tipo_slide_home_page" => $tipo,
					"imagem_slide_home_page" => $imagem_velha
				], [
					"id_slide_home_page" => $id_slide_home_page
				]);
			}

			if ($result > 0) {	
				$last_query = $model->lastQuery();
				$model->insert("historico", [
					"comando_sql" => $last_query,
					"datahora_acao" => date("Y-m-d H:i:s"),
					"id_usuario" => Session::get("id_usuario")
				]);

				$model->commit();
				echo "<script>window.location.href='".show_link("/slides-home-page/?editar=true")."'</script>";
			}
			else{
				$model->rollback();
				echo "<script>window.location.href='".show_link("/slides-home-page/?editar=false")."'</script>";
			}
		}
		else{
			echo "<script>window.location.href='".show_link("/slides-home-page/?editar=false")."'</script>";
			exit();
		}
	}
	else{
		show_403();
	}

?>